## GeditCommands GeditCommands |

## Functions

void | gedit_commands_load_location ()
GSList * | gedit_commands_load_locations ()
void | gedit_commands_save_document ()
void | gedit_commands_save_all_documents ()

## Description

## Functions

### gedit_commands_load_location ()

    void
    gedit_commands_load_location (GeditWindow *window,
                                  GFile *location,
                                  const GtkSourceEncoding *encoding,
                                  gint line_pos,
                                  gint column_pos);

Loads `location` . Ignores non-existing locations.

#### Parameters

window | a GeditWindow |
location | a GFile to load |
encoding | the GtkSourceEncoding of `location` . | [allow-none]
line_pos | the line position to place the cursor |
column_pos | the line column to place the cursor |

### gedit_commands_load_locations ()

    GSList *
    gedit_commands_load_locations (GeditWindow *window,
                                   const GSList *locations,
                                   const GtkSourceEncoding *encoding,
                                   gint line_pos,
                                   gint column_pos);

Loads `locations` . Ignore non-existing locations.

#### Parameters

window | a GeditWindow |
locations | the locations to load. | [element-type Gio.File]
encoding | the GtkSourceEncoding. | [allow-none]
line_pos | the line position to place the cursor |
column_pos | the line column to place the cursor |

#### Returns

the locations that were loaded.

[element-type Gedit.Document][transfer container]

### gedit_commands_save_document ()

    void
    gedit_commands_save_document (GeditWindow *window,
                                  GeditDocument *document);

### gedit_commands_save_all_documents ()

    void
    gedit_commands_save_all_documents (GeditWindow *window);

## Types and Values